Index: squid/src/stat.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/stat.c,v
retrieving revision 1.1.1.3.4.1.2.5
retrieving revision 1.1.1.3.4.1.2.5.2.1
diff -u -r1.1.1.3.4.1.2.5 -r1.1.1.3.4.1.2.5.2.1
--- squid/src/stat.c	28 Jul 2001 10:18:13 -0000	1.1.1.3.4.1.2.5
+++ squid/src/stat.c	27 Aug 2001 21:48:21 -0000	1.1.1.3.4.1.2.5.2.1
@@ -1434,33 +1402,50 @@
     int i;
     double dt;
 
-    GENGRAPH(client_http.requests, "client_http.requests", "Client HTTP requests/sec");
+    GENGRAPH(client_http.requests, "client_http.requests",
+	"Client HTTP requests/sec");
     GENGRAPH(client_http.hits, "client_http.hits", "Client HTTP hits/sec");
-    GENGRAPH(client_http.errors, "client_http.errors", "Client HTTP errors/sec");
-    GENGRAPH(client_http.kbytes_in.kb, "client_http.kbytes_in", "Client HTTP kbytes_in/sec");
-    GENGRAPH(client_http.kbytes_out.kb, "client_http.kbytes_out", "Client HTTP kbytes_out/sec");
+    GENGRAPH(client_http.errors, "client_http.errors",
+	"Client HTTP errors/sec");
+    GENGRAPH(client_http.kbytes_in.kb, "client_http.kbytes_in",
+	"Client HTTP kbytes_in/sec");
+    GENGRAPH(client_http.kbytes_out.kb, "client_http.kbytes_out",
+	"Client HTTP kbytes_out/sec");
 
     /* XXX todo: http median service times */
 
     GENGRAPH(server.all.requests, "server.all.requests", "Server requests/sec");
     GENGRAPH(server.all.errors, "server.all.errors", "Server errors/sec");
-    GENGRAPH(server.all.kbytes_in.kb, "server.all.kbytes_in", "Server total kbytes_in/sec");
-    GENGRAPH(server.all.kbytes_out.kb, "server.all.kbytes_out", "Server total kbytes_out/sec");
-
-    GENGRAPH(server.http.requests, "server.http.requests", "Server HTTP requests/sec");
-    GENGRAPH(server.http.errors, "server.http.errors", "Server HTTP errors/sec");
-    GENGRAPH(server.http.kbytes_in.kb, "server.http.kbytes_in", "Server HTTP kbytes_in/sec");
-    GENGRAPH(server.http.kbytes_out.kb, "server.http.kbytes_out", "Server HTTP kbytes_out/sec");
+    GENGRAPH(server.all.kbytes_in.kb, "server.all.kbytes_in",
+	"Server total kbytes_in/sec");
+    GENGRAPH(server.all.kbytes_out.kb, "server.all.kbytes_out",
+	"Server total kbytes_out/sec");
+
+    GENGRAPH(server.http.requests, "server.http.requests",
+	"Server HTTP requests/sec");
+    GENGRAPH(server.http.errors, "server.http.errors",
+	"Server HTTP errors/sec");
+    GENGRAPH(server.http.kbytes_in.kb, "server.http.kbytes_in",
+	"Server HTTP kbytes_in/sec");
+    GENGRAPH(server.http.kbytes_out.kb, "server.http.kbytes_out",
+	"Server HTTP kbytes_out/sec");
 
-    GENGRAPH(server.ftp.requests, "server.ftp.requests", "Server FTP requests/sec");
+    GENGRAPH(server.ftp.requests, "server.ftp.requests",
+	"Server FTP requests/sec");
     GENGRAPH(server.ftp.errors, "server.ftp.errors", "Server FTP errors/sec");
-    GENGRAPH(server.ftp.kbytes_in.kb, "server.ftp.kbytes_in", "Server FTP kbytes_in/sec");
-    GENGRAPH(server.ftp.kbytes_out.kb, "server.ftp.kbytes_out", "Server FTP kbytes_out/sec");
-
-    GENGRAPH(server.other.requests, "server.other.requests", "Server other requests/sec");
-    GENGRAPH(server.other.errors, "server.other.errors", "Server other errors/sec");
-    GENGRAPH(server.other.kbytes_in.kb, "server.other.kbytes_in", "Server other kbytes_in/sec");
-    GENGRAPH(server.other.kbytes_out.kb, "server.other.kbytes_out", "Server other kbytes_out/sec");
+    GENGRAPH(server.ftp.kbytes_in.kb, "server.ftp.kbytes_in",
+	"Server FTP kbytes_in/sec");
+    GENGRAPH(server.ftp.kbytes_out.kb, "server.ftp.kbytes_out",
+	"Server FTP kbytes_out/sec");
+
+    GENGRAPH(server.other.requests, "server.other.requests",
+	"Server other requests/sec");
+    GENGRAPH(server.other.errors, "server.other.errors",
+	"Server other errors/sec");
+    GENGRAPH(server.other.kbytes_in.kb, "server.other.kbytes_in",
+	"Server other kbytes_in/sec");
+    GENGRAPH(server.other.kbytes_out.kb, "server.other.kbytes_out",
+	"Server other kbytes_out/sec");
 
     GENGRAPH(icp.pkts_sent, "icp.pkts_sent", "ICP packets sent/sec");
     GENGRAPH(icp.pkts_recv, "icp.pkts_recv", "ICP packets received/sec");
@@ -1470,7 +1455,8 @@
     /* XXX todo: icp median service times */
     /* XXX todo: dns median service times */
 
-    GENGRAPH(unlink.requests, "unlink.requests", "Cache File unlink requests/sec");
+    GENGRAPH(unlink.requests, "unlink.requests",
+	"Cache File unlink requests/sec");
     GENGRAPH(page_faults, "page_faults", "System Page Faults/sec");
     GENGRAPH(select_loops, "select_loops", "System Select Loop calls/sec");
     GENGRAPH(cputime, "cputime", "CPU utilisation");
Index: squid/src/stmem.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/stmem.c,v
retrieving revision 1.1.1.2.4.1.2.1
retrieving revision 1.1.1.2.4.1.2.1.2.1
diff -u -r1.1.1.2.4.1.2.1 -r1.1.1.2.4.1.2.1.2.1
--- squid/src/stmem.c	6 Jan 2001 12:40:16 -0000	1.1.1.2.4.1.2.1
+++ squid/src/stmem.c	27 Aug 2001 21:48:21 -0000	1.1.1.2.4.1.2.1.2.1
@@ -1,6 +1,5 @@
-
 /*
- * $Id: stmem.c,v 1.1.1.2.4.1.2.1 2001/01/06 12:40:16 hno Exp $
+ * $Id: stmem.c,v 1.1.1.2.4.1.2.1.2.1 2001/08/27 21:48:21 tolsty Exp $
  *
  * DEBUG: section 19    Store Memory Primitives
  * AUTHOR: Harvest Derived
@@ -121,8 +120,7 @@
     }
 }
 
-ssize_t
-stmemCopy(const mem_hdr * mem, off_t offset, char *buf, size_t size)
+ssize_t stmemCopy(const mem_hdr * mem, off_t offset, char *buf, size_t size)
 {
     mem_node *p = mem->head;
     off_t t_off = mem->origin_offset;
Index: squid/src/store.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/store.c,v
retrieving revision 1.1.1.3.4.5.2.4
retrieving revision 1.1.1.3.4.5.2.4.2.1
diff -u -r1.1.1.3.4.5.2.4 -r1.1.1.3.4.5.2.4.2.1
--- squid/src/store.c	18 Jun 2001 19:30:39 -0000	1.1.1.3.4.5.2.4
+++ squid/src/store.c	27 Aug 2001 21:48:21 -0000	1.1.1.3.4.5.2.4.2.1
@@ -1,6 +1,5 @@
-
 /*
- * $Id: store.c,v 1.1.1.3.4.5.2.4 2001/06/18 19:30:39 serassio Exp $
+ * $Id: store.c,v 1.1.1.3.4.5.2.4.2.1 2001/08/27 21:48:21 tolsty Exp $
  *
  * DEBUG: section 20    Storage Manager
  * AUTHOR: Harvest Derived
@@ -39,37 +38,35 @@
 
 #define STORE_IN_MEM_BUCKETS		(229)
 
-const char *memStatusStr[] =
-{
+const char *memStatusStr[] = {
     "NOT_IN_MEMORY",
     "IN_MEMORY"
 };
 
-const char *pingStatusStr[] =
-{
+const char *pingStatusStr[] = {
     "PING_NONE",
     "PING_WAITING",
     "PING_DONE"
 };
 
-const char *storeStatusStr[] =
-{
+const char *storeStatusStr[] = {
     "STORE_OK",
     "STORE_PENDING"
 };
 
-const char *swapStatusStr[] =
-{
+const char *swapStatusStr[] = {
     "SWAPOUT_NONE",
     "SWAPOUT_WRITING",
     "SWAPOUT_DONE"
 };
 
-typedef struct lock_ctrl_t {
+typedef struct lock_ctrl_t
+{
     SIH *callback;
     void *callback_data;
     StoreEntry *e;
-} lock_ctrl_t;
+}
+lock_ctrl_t;
 
 /*
  * local function prototypes
@@ -383,7 +380,8 @@
     assert(!EBIT_TEST(e->flags, RELEASE_REQUEST));
     newkey = storeKeyPublic(mem->url, mem->method);
     if ((e2 = (StoreEntry *) hash_lookup(store_table, newkey))) {
-	debug(20, 3) ("storeSetPublicKey: Making old '%s' private.\n", mem->url);
+	debug(20, 3) ("storeSetPublicKey: Making old '%s' private.\n",
+	    mem->url);
 	storeSetPrivateKey(e2);
 	storeRelease(e2);
 	newkey = storeKeyPublic(mem->url, mem->method);
@@ -397,7 +395,8 @@
 }
 
 StoreEntry *
-storeCreateEntry(const char *url, const char *log_url, request_flags flags, method_t method)
+storeCreateEntry(const char *url, const char *log_url, request_flags flags,
+    method_t method)
 {
     StoreEntry *e = NULL;
     MemObject *mem = NULL;
@@ -448,8 +447,7 @@
     assert(e->store_status == STORE_PENDING);
     if (len) {
 	debug(20, 5) ("storeAppend: appending %d bytes for '%s'\n",
-	    len,
-	    storeKeyText(e->key));
+	    len, storeKeyText(e->key));
 	storeGetMemSpace(len);
 	stmemAppend(&mem->data_hdr, buf, len);
 	mem->inmem_hi += len;
@@ -462,7 +460,7 @@
 
 void
 #if STDC_HEADERS
-storeAppendPrintf(StoreEntry * e, const char *fmt,...)
+storeAppendPrintf(StoreEntry * e, const char *fmt, ...)
 #else
 storeAppendPrintf(va_alist)
      va_dcl
@@ -493,8 +491,10 @@
     storeAppend(e, buf, strlen(buf));
 }
 
-struct _store_check_cachable_hist {
-    struct {
+struct _store_check_cachable_hist
+{
+    struct
+    {
 	int non_get;
 	int not_entry_cachable;
 	int release_request;
@@ -506,11 +506,15 @@
 	int too_many_open_files;
 	int too_many_open_fds;
 	int lru_age_too_low;
-    } no;
-    struct {
+    }
+    no;
+    struct
+    {
 	int Default;
-    } yes;
-} store_check_cachable_hist;
+    }
+    yes;
+}
+store_check_cachable_hist;
 
 int
 storeTooManyDiskFilesOpen(void)
@@ -552,7 +556,8 @@
     } else if (EBIT_TEST(e->flags, RELEASE_REQUEST)) {
 	debug(20, 2) ("storeCheckCachable: NO: release requested\n");
 	store_check_cachable_hist.no.release_request++;
-    } else if (e->store_status == STORE_OK && EBIT_TEST(e->flags, ENTRY_BAD_LENGTH)) {
+    } else if (e->store_status == STORE_OK
+	&& EBIT_TEST(e->flags, ENTRY_BAD_LENGTH)) {
 	debug(20, 2) ("storeCheckCachable: NO: wrong content-length\n");
 	store_check_cachable_hist.no.wrong_content_length++;
     } else if (EBIT_TEST(e->flags, ENTRY_NEGCACHED)) {
@@ -562,7 +567,8 @@
     } else if (e->mem_obj->inmem_hi > Config.Store.maxObjectSize) {
 	debug(20, 2) ("storeCheckCachable: NO: too big\n");
 	store_check_cachable_hist.no.too_big++;
-    } else if (e->mem_obj->reply->content_length > (int) Config.Store.maxObjectSize) {
+    } else if (e->mem_obj->reply->content_length >
+	(int) Config.Store.maxObjectSize) {
 	debug(20, 2) ("storeCheckCachable: NO: too big\n");
 	store_check_cachable_hist.no.too_big++;
     } else if (storeCheckTooSmall(e)) {
@@ -697,10 +703,7 @@
     /* Notify the server side */
     if (mem->abort.callback) {
 	eventAdd("mem->abort.callback",
-	    mem->abort.callback,
-	    mem->abort.data,
-	    0.0,
-	    0);
+	    mem->abort.callback, mem->abort.data, 0.0, 0);
 	mem->abort.callback = NULL;
 	mem->abort.data = NULL;
     }
@@ -754,7 +757,8 @@
 	    continue;
 	}
 	released++;
-	debug(20, 3) ("Released memory object with key %f size %d refs %d url %s\n",
+	debug(20,
+	    3) ("Released memory object with key %f size %d refs %d url %s\n",
 	    age, e->swap_file_sz, e->refcount, e->mem_obj->url);
 	min_age = age;
 	storePurgeMem(e);
@@ -837,7 +841,9 @@
 	eventAdd("MaintainSwapSpace", storeMaintainSwapSpace, NULL, 1.0, 1);
 	return;
     } else {
-	f = (double) (store_swap_size - store_swap_low) / (store_swap_high - store_swap_low);
+	f =
+	    (double) (store_swap_size - store_swap_low) / (store_swap_high -
+	    store_swap_low);
 	f = f < 0.0 ? 0.0 : f > 1.0 ? 1.0 : f;
 	max_scan = (int) (f * 400.0 + 100.0);
 	max_remove = (int) (f * 70.0 + 10.0);
@@ -867,7 +873,9 @@
 		 * It will always be "SPECIAL" and therefore never removed.
 		 */
 		debug(20, 4) ("storeMaintainSwapSpace: locked url %s\n",
-		    (e->mem_obj && e->mem_obj->url) ? e->mem_obj->url : storeKeyText(e->key));
+		    (e->mem_obj
+			&& e->mem_obj->url) ? e->mem_obj->url : storeKeyText(e->
+			key));
 		linklistPush(&locked_entries, e);
 	    }
 	    locked++;
@@ -879,7 +887,8 @@
 	     * checks...
 	     */
 	    expired++;
-	    debug(20, 3) ("Released store object age %f size %d refs %d key %s\n",
+	    debug(20,
+		3) ("Released store object age %f size %d refs %d key %s\n",
 		age, e->swap_file_sz, e->refcount, storeKeyText(e->key));
 	    min_age = age;
 	    storeRelease(e);
@@ -938,7 +947,10 @@
 	    break;
     }
 #endif
-    debug(20, (expired ? 2 : 3)) ("storeMaintainSwapSpace: scanned %d/%d removed %d/%d locked %d f=%.03f\n",
+    debug(20, (expired ? 2 : 3))
+
+	
+	("storeMaintainSwapSpace: scanned %d/%d removed %d/%d locked %d f=%.03f\n",
 	scanned, max_scan, expired, max_remove, locked, f);
     debug(20, 3) ("storeMaintainSwapSpace stats:\n");
     debug(20, 3) ("  %6d objects\n", memInUse(MEM_STOREENTRY));
@@ -989,7 +1001,8 @@
 	storeDirMapBitReset(e->swap_file_number);
 	if (e->swap_status == SWAPOUT_DONE)
 	    if (EBIT_TEST(e->flags, ENTRY_VALIDATED))
-		storeDirUpdateSwapSize(e->swap_file_number, e->swap_file_sz, -1);
+		storeDirUpdateSwapSize(e->swap_file_number, e->swap_file_sz,
+		    -1);
 	if (!EBIT_TEST(e->flags, KEY_PRIVATE))
 	    storeDirSwapLog(e, SWAP_LOG_DEL);
     }
@@ -1046,9 +1059,9 @@
     const HttpReply *reply;
     assert(e->mem_obj != NULL);
     reply = e->mem_obj->reply;
-    debug(20, 3) ("storeEntryValidLength: Checking '%s'\n", storeKeyText(e->key));
-    debug(20, 5) ("storeEntryValidLength:     object_len = %d\n",
-	objectLen(e));
+    debug(20, 3) ("storeEntryValidLength: Checking '%s'\n",
+	storeKeyText(e->key));
+    debug(20, 5) ("storeEntryValidLength:     object_len = %d\n", objectLen(e));
     debug(20, 5) ("storeEntryValidLength:         hdr_sz = %d\n",
 	reply->hdr_sz);
     debug(20, 5) ("storeEntryValidLength: content_length = %d\n",
@@ -1077,8 +1090,7 @@
 	return 1;
     debug(20, 3) ("storeEntryValidLength: %d bytes too %s; '%s'\n",
 	diff < 0 ? -diff : diff,
-	diff < 0 ? "big" : "small",
-	storeKeyText(e->key));
+	diff < 0 ? "big" : "small", storeKeyText(e->key));
     return 0;
 }
 
@@ -1150,12 +1162,9 @@
     eventAdd("storeLateRelease", storeLateRelease, NULL, 1.0, 1);
     storeDirInit();
     storeRebuildStart();
-    cachemgrRegister("storedir",
-	"Store Directory Stats",
-	storeDirStats, 0, 1);
+    cachemgrRegister("storedir", "Store Directory Stats", storeDirStats, 0, 1);
     cachemgrRegister("store_check_cachable_stats",
-	"storeCheckCachable() Stats",
-	storeCheckCachableStats, 0, 1);
+	"storeCheckCachable() Stats", storeCheckCachableStats, 0, 1);
 }
 
 void
@@ -1213,13 +1222,14 @@
  * near the high water mark.  The LRU age value can be examined on the
  * cachemgr 'info' page.
  */
-time_t
-storeExpiredReferenceAge(void)
+time_t storeExpiredReferenceAge(void)
 {
     double x;
     double z;
     time_t age;
-    x = (double) (store_swap_high - store_swap_size) / (store_swap_high - store_swap_low);
+    x =
+	(double) (store_swap_high - store_swap_size) / (store_swap_high -
+	store_swap_low);
     x = x < 0.0 ? 0.0 : x > 1.0 ? 1.0 : x;
     z = pow((double) (Config.referenceAge / 60), x);
     age = (time_t) (z * 60.0);
@@ -1296,8 +1306,8 @@
      * squid_curtime because it results in a negative served_date.
      */
     if (age > squid_curtime - served_date)
-       if (squid_curtime > age)
-           served_date = squid_curtime - age;
+	if (squid_curtime > age)
+	    served_date = squid_curtime - age;
     entry->expires = reply->expires;
     entry->lastmod = reply->last_modified;
     entry->timestamp = served_date;
@@ -1324,30 +1334,20 @@
 void
 storeMemObjectDump(MemObject * mem)
 {
-    debug(20, 1) ("MemObject->data.head: %p\n",
-	mem->data_hdr.head);
-    debug(20, 1) ("MemObject->data.tail: %p\n",
-	mem->data_hdr.tail);
+    debug(20, 1) ("MemObject->data.head: %p\n", mem->data_hdr.head);
+    debug(20, 1) ("MemObject->data.tail: %p\n", mem->data_hdr.tail);
     debug(20, 1) ("MemObject->data.origin_offset: %d\n",
 	mem->data_hdr.origin_offset);
     debug(20, 1) ("MemObject->start_ping: %d.%06d\n",
-	(int) mem->start_ping.tv_sec,
-	(int) mem->start_ping.tv_usec);
-    debug(20, 1) ("MemObject->inmem_hi: %d\n",
-	(int) mem->inmem_hi);
-    debug(20, 1) ("MemObject->inmem_lo: %d\n",
-	(int) mem->inmem_lo);
-    debug(20, 1) ("MemObject->clients: %p\n",
-	mem->clients);
-    debug(20, 1) ("MemObject->nclients: %d\n",
-	mem->nclients);
-    debug(20, 1) ("MemObject->reply: %p\n",
-	mem->reply);
-    debug(20, 1) ("MemObject->request: %p\n",
-	mem->request);
+	(int) mem->start_ping.tv_sec, (int) mem->start_ping.tv_usec);
+    debug(20, 1) ("MemObject->inmem_hi: %d\n", (int) mem->inmem_hi);
+    debug(20, 1) ("MemObject->inmem_lo: %d\n", (int) mem->inmem_lo);
+    debug(20, 1) ("MemObject->clients: %p\n", mem->clients);
+    debug(20, 1) ("MemObject->nclients: %d\n", mem->nclients);
+    debug(20, 1) ("MemObject->reply: %p\n", mem->reply);
+    debug(20, 1) ("MemObject->request: %p\n", mem->request);
     debug(20, 1) ("MemObject->log_url: %p %s\n",
-	mem->log_url,
-	checkNullString(mem->log_url));
+	mem->log_url, checkNullString(mem->log_url));
 }
 
 void
@@ -1363,7 +1363,8 @@
     debug(20, l) ("StoreEntry->swap_file_sz: %d\n", (int) e->swap_file_sz);
     debug(20, l) ("StoreEntry->refcount: %d\n", e->refcount);
     debug(20, l) ("StoreEntry->flags: %s\n", storeEntryFlags(e));
-    debug(20, l) ("StoreEntry->swap_file_number: %d\n", (int) e->swap_file_number);
+    debug(20, l) ("StoreEntry->swap_file_number: %d\n",
+	(int) e->swap_file_number);
     debug(20, l) ("StoreEntry->lock_count: %d\n", (int) e->lock_count);
     debug(20, l) ("StoreEntry->mem_status: %d\n", (int) e->mem_status);
     debug(20, l) ("StoreEntry->ping_status: %d\n", (int) e->ping_status);
Index: squid/src/store_client.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/store_client.c,v
retrieving revision 1.1.1.3.4.2.2.1
retrieving revision 1.1.1.3.4.2.2.1.2.1
diff -u -r1.1.1.3.4.2.2.1 -r1.1.1.3.4.2.2.1.2.1
--- squid/src/store_client.c	6 Jan 2001 12:40:16 -0000	1.1.1.3.4.2.2.1
+++ squid/src/store_client.c	27 Aug 2001 21:48:22 -0000	1.1.1.3.4.2.2.1.2.1
@@ -1,6 +1,5 @@
-
 /*
- * $Id: store_client.c,v 1.1.1.3.4.2.2.1 2001/01/06 12:40:16 hno Exp $
+ * $Id: store_client.c,v 1.1.1.3.4.2.2.1.2.1 2001/08/27 21:48:22 tolsty Exp $
  *
  * DEBUG: section 20    Storage Manager Client-Side Interface
  * AUTHOR: Duane Wessels
@@ -160,21 +159,14 @@
 void
 storeClientCopy(StoreEntry * e,
     off_t seen_offset,
-    off_t copy_offset,
-    size_t size,
-    char *buf,
-    STCB * callback,
-    void *data)
+    off_t copy_offset, size_t size, char *buf, STCB * callback, void *data)
 {
     store_client *sc;
     assert(!EBIT_TEST(e->flags, ENTRY_ABORTED));
-    debug(20, 3) ("storeClientCopy: %s, seen %d, want %d, size %d, cb %p, cbdata %p\n",
-	storeKeyText(e->key),
-	(int) seen_offset,
-	(int) copy_offset,
-	(int) size,
-	callback,
-	data);
+    debug(20, 3)
+	("storeClientCopy: %s, seen %d, want %d, size %d, cb %p, cbdata %p\n",
+	storeKeyText(e->key), (int) seen_offset, (int) copy_offset, (int) size,
+	callback, data);
     sc = storeClientListSearch(e->mem_obj, data);
     assert(sc != NULL);
     assert(sc->callback == NULL);
@@ -218,7 +210,8 @@
     if (sc->flags.copy_event_pending)
 	return;
     if (EBIT_TEST(e->flags, ENTRY_FWD_HDR_WAIT)) {
-	debug(20, 5) ("storeClientCopy2: returning because ENTRY_FWD_HDR_WAIT set\n");
+	debug(20,
+	    5) ("storeClientCopy2: returning because ENTRY_FWD_HDR_WAIT set\n");
 	return;
     }
     if (sc->flags.store_copying) {
@@ -243,13 +236,17 @@
 	sc->flags.disk_io_pending = 0;
 	sc->callback = NULL;
 	callback(sc->callback_data, sc->copy_buf, 0);
-    } else if (e->store_status == STORE_PENDING && sc->seen_offset >= mem->inmem_hi) {
+    } else if (e->store_status == STORE_PENDING
+	&& sc->seen_offset >= mem->inmem_hi) {
 	/* client has already seen this, wait for more */
 	debug(20, 3) ("storeClientCopy2: Waiting for more\n");
-    } else if (sc->copy_offset >= mem->inmem_lo && sc->copy_offset < mem->inmem_hi) {
+    } else if (sc->copy_offset >= mem->inmem_lo
+	&& sc->copy_offset < mem->inmem_hi) {
 	/* What the client wants is in memory */
 	debug(20, 3) ("storeClientCopy2: Copying from memory\n");
-	sz = stmemCopy(&mem->data_hdr, sc->copy_offset, sc->copy_buf, sc->copy_size);
+	sz =
+	    stmemCopy(&mem->data_hdr, sc->copy_offset, sc->copy_buf,
+	    sc->copy_size);
 	sc->flags.disk_io_pending = 0;
 	sc->callback = NULL;
 	callback(sc->callback_data, sc->copy_buf, sz);
@@ -295,20 +292,13 @@
     assert(sc->callback != NULL);
     if (mem->swap_hdr_sz == 0) {
 	storeRead(sc->swapin_sio,
-	    sc->copy_buf,
-	    sc->copy_size,
-	    0,
-	    storeClientReadHeader,
-	    sc);
+	    sc->copy_buf, sc->copy_size, 0, storeClientReadHeader, sc);
     } else {
 	if (sc->entry->swap_status == SWAPOUT_WRITING)
-	    assert(storeOffset(mem->swapout.sio) > sc->copy_offset + mem->swap_hdr_sz);
-	storeRead(sc->swapin_sio,
-	    sc->copy_buf,
-	    sc->copy_size,
-	    sc->copy_offset + mem->swap_hdr_sz,
-	    storeClientReadBody,
-	    sc);
+	    assert(storeOffset(mem->swapout.sio) >
+		sc->copy_offset + mem->swap_hdr_sz);
+	storeRead(sc->swapin_sio, sc->copy_buf, sc->copy_size,
+	    sc->copy_offset + mem->swap_hdr_sz, storeClientReadBody, sc);
     }
 }
 
@@ -492,8 +482,7 @@
     return 1;
 }
 
-off_t
-storeLowestMemReaderOffset(const StoreEntry * entry)
+off_t storeLowestMemReaderOffset(const StoreEntry * entry)
 {
     const MemObject *mem = entry->mem_obj;
     off_t lowest = mem->inmem_hi;
Index: squid/src/store_digest.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/store_digest.c,v
retrieving revision 1.1.1.3.4.1.2.1
retrieving revision 1.1.1.3.4.1.2.1.2.1
diff -u -r1.1.1.3.4.1.2.1 -r1.1.1.3.4.1.2.1.2.1
--- squid/src/store_digest.c	6 Jan 2001 12:40:16 -0000	1.1.1.3.4.1.2.1
+++ squid/src/store_digest.c	27 Aug 2001 21:48:22 -0000	1.1.1.3.4.1.2.1.2.1
@@ -1,5 +1,5 @@
 /*
- * $Id: store_digest.c,v 1.1.1.3.4.1.2.1 2001/01/06 12:40:16 hno Exp $
+ * $Id: store_digest.c,v 1.1.1.3.4.1.2.1.2.1 2001/08/27 21:48:22 tolsty Exp $
  *
  * DEBUG: section 71    Store Digest Manager
  * AUTHOR: Alex Rousskov
@@ -47,7 +47,8 @@
  * local types
  */
 
-typedef struct {
+typedef struct
+{
     StoreDigestCBlock cblock;
     int rebuild_lock;		/* bucket number */
     StoreEntry *rewrite_lock;	/* store entry with the digest */
@@ -55,16 +56,19 @@
     int rewrite_offset;
     int rebuild_count;
     int rewrite_count;
-} StoreDigestState;
+}
+StoreDigestState;
 
-typedef struct {
+typedef struct
+{
     int del_count;		/* #store entries deleted from store_digest */
     int del_lost_count;		/* #store entries not found in store_digest on delete */
     int add_count;		/* #store entries accepted to store_digest */
     int add_coll_count;		/* #accepted entries that collided with existing ones */
     int rej_count;		/* #store entries not accepted to store_digest */
     int rej_coll_count;		/* #not accepted entries that collided with existing ones */
-} StoreDigestStats;
+}
+StoreDigestStats;
 
 /* local vars */
 static StoreDigestState sd_state;
@@ -102,11 +106,11 @@
 	return;
     }
     store_digest = cacheDigestCreate(cap, Config.digest.bits_per_entry);
-    debug(71, 1) ("Local cache digest enabled; rebuild/rewrite every %d/%d sec\n",
+    debug(71,
+	1) ("Local cache digest enabled; rebuild/rewrite every %d/%d sec\n",
 	Config.digest.rebuild_period, Config.digest.rewrite_period);
     memset(&sd_state, 0, sizeof(sd_state));
-    cachemgrRegister("store_digest", "Store Digest",
-	storeDigestReport, 0, 1);
+    cachemgrRegister("store_digest", "Store Digest", storeDigestReport, 0, 1);
 #else
     store_digest = NULL;
     debug(71, 3) ("Local cache digest is 'off'\n");
@@ -159,11 +163,10 @@
     }
     if (store_digest) {
 	cacheDigestReport(store_digest, "store", e);
-	storeAppendPrintf(e, "\t added: %d rejected: %d ( %.2f %%) del-ed: %d\n",
-	    sd_stats.add_count,
-	    sd_stats.rej_count,
-	    xpercent(sd_stats.rej_count, sd_stats.rej_count + sd_stats.add_count),
-	    sd_stats.del_count);
+	storeAppendPrintf(e,
+	    "\t added: %d rejected: %d ( %.2f %%) del-ed: %d\n",
+	    sd_stats.add_count, sd_stats.rej_count, xpercent(sd_stats.rej_count,
+		sd_stats.rej_count + sd_stats.add_count), sd_stats.del_count);
 	storeAppendPrintf(e, "\t collisions: on add: %.2f %% on rej: %.2f %%\n",
 	    xpercent(sd_stats.add_coll_count, sd_stats.add_count),
 	    xpercent(sd_stats.rej_coll_count, sd_stats.rej_count));
@@ -217,7 +220,8 @@
     /* still here? check staleness */
     /* Note: We should use the time of the next rebuild, not (cur_time+period) */
     if (refreshCheckDigest(e, Config.digest.rebuild_period)) {
-	debug(71, 6) ("storeDigestAdd: entry expires within %d secs, ignoring\n",
+	debug(71,
+	    6) ("storeDigestAdd: entry expires within %d secs, ignoring\n",
 	    Config.digest.rebuild_period);
 	return 0;
     }
@@ -253,13 +257,18 @@
     assert(store_digest);
     /* prevent overlapping if rebuild schedule is too tight */
     if (sd_state.rebuild_lock) {
-	debug(71, 1) ("storeDigestRebuildStart: overlap detected, consider increasing rebuild period\n");
+	debug(71, 1)
+
+	    
+	    ("storeDigestRebuildStart: overlap detected, consider increasing rebuild period\n");
 	return;
     }
     sd_state.rebuild_lock = 1;
-    debug(71, 2) ("storeDigestRebuildStart: rebuild #%d\n", sd_state.rebuild_count + 1);
+    debug(71, 2) ("storeDigestRebuildStart: rebuild #%d\n",
+	sd_state.rebuild_count + 1);
     if (sd_state.rewrite_lock) {
-	debug(71, 2) ("storeDigestRebuildStart: waiting for Rewrite to finish.\n");
+	debug(71,
+	    2) ("storeDigestRebuildStart: waiting for Rewrite to finish.\n");
 	return;
     }
     storeDigestRebuildResume();
@@ -274,7 +283,7 @@
     sd_state.rebuild_offset = 0;
     /* resize or clear */
     if (!storeDigestResize())
-	cacheDigestClear(store_digest);		/* not clean()! */
+	cacheDigestClear(store_digest);	/* not clean()! */
     memset(&sd_stats, 0, sizeof(sd_stats));
     eventAdd("storeDigestRebuildStep", storeDigestRebuildStep, NULL, 0.0, 1);
 }
@@ -303,10 +312,12 @@
     assert(sd_state.rebuild_lock);
     if (sd_state.rebuild_offset + bcount > store_hash_buckets)
 	bcount = store_hash_buckets - sd_state.rebuild_offset;
-    debug(71, 3) ("storeDigestRebuildStep: buckets: %d offset: %d chunk: %d buckets\n",
+    debug(71, 3)
+	("storeDigestRebuildStep: buckets: %d offset: %d chunk: %d buckets\n",
 	store_hash_buckets, sd_state.rebuild_offset, bcount);
     while (bcount--) {
-	hash_link *link_ptr = hash_get_bucket(store_table, sd_state.rebuild_offset);
+	hash_link *link_ptr =
+	    hash_get_bucket(store_table, sd_state.rebuild_offset);
 	for (; link_ptr; link_ptr = link_ptr->next) {
 	    storeDigestAdd((StoreEntry *) link_ptr);
 	}
@@ -316,7 +327,8 @@
     if (sd_state.rebuild_offset >= store_hash_buckets)
 	storeDigestRebuildFinish();
     else
-	eventAdd("storeDigestRebuildStep", storeDigestRebuildStep, NULL, 0.0, 1);
+	eventAdd("storeDigestRebuildStep", storeDigestRebuildStep, NULL, 0.0,
+	    1);
 }
 
 
@@ -331,10 +343,14 @@
     assert(store_digest);
     /* prevent overlapping if rewrite schedule is too tight */
     if (sd_state.rewrite_lock) {
-	debug(71, 1) ("storeDigestRewrite: overlap detected, consider increasing rewrite period\n");
+	debug(71, 1)
+
+	    
+	    ("storeDigestRewrite: overlap detected, consider increasing rewrite period\n");
 	return;
     }
-    debug(71, 2) ("storeDigestRewrite: start rewrite #%d\n", sd_state.rewrite_count + 1);
+    debug(71, 2) ("storeDigestRewrite: start rewrite #%d\n",
+	sd_state.rewrite_count + 1);
     /* make new store entry */
     url = internalLocalUri("/squid-internal-periodic/", StoreDigestFileName);
     flags = null_request_flags;
@@ -342,11 +358,13 @@
     sd_state.rewrite_lock = e = storeCreateEntry(url, url, flags, METHOD_GET);
     assert(sd_state.rewrite_lock);
     cbdataAdd(sd_state.rewrite_lock, NULL, 0);
-    debug(71, 3) ("storeDigestRewrite: url: %s key: %s\n", url, storeKeyText(e->key));
+    debug(71, 3) ("storeDigestRewrite: url: %s key: %s\n", url,
+	storeKeyText(e->key));
     e->mem_obj->request = requestLink(urlParse(METHOD_GET, url));
     /* wait for rebuild (if any) to finish */
     if (sd_state.rebuild_lock) {
-	debug(71, 2) ("storeDigestRewriteStart: waiting for rebuild to finish.\n");
+	debug(71,
+	    2) ("storeDigestRewriteStart: waiting for rebuild to finish.\n");
 	return;
     }
     storeDigestRewriteResume();
@@ -366,15 +384,17 @@
     /* fake reply */
     httpReplyReset(e->mem_obj->reply);
     httpReplySetHeaders(e->mem_obj->reply, 1.0, 200, "Cache Digest OK",
-	"application/cache-digest", store_digest->mask_size + sizeof(sd_state.cblock),
-	squid_curtime, squid_curtime + Config.digest.rewrite_period);
+	"application/cache-digest",
+	store_digest->mask_size + sizeof(sd_state.cblock), squid_curtime,
+	squid_curtime + Config.digest.rewrite_period);
     debug(71, 3) ("storeDigestRewrite: entry expires on %d (%+d)\n",
 	e->mem_obj->reply->expires, e->mem_obj->reply->expires - squid_curtime);
     storeBuffer(e);
     httpReplySwapOut(e->mem_obj->reply, e);
     storeDigestCBlockSwapOut(e);
     storeBufferFlush(e);
-    eventAdd("storeDigestSwapOutStep", storeDigestSwapOutStep, sd_state.rewrite_lock, 0.0, 1);
+    eventAdd("storeDigestSwapOutStep", storeDigestSwapOutStep,
+	sd_state.rewrite_lock, 0.0, 1);
 }
 
 /* finishes swap out sequence for the digest; schedules next rewrite */
@@ -416,7 +436,8 @@
     if (sd_state.rewrite_offset + chunk_size > store_digest->mask_size)
 	chunk_size = store_digest->mask_size - sd_state.rewrite_offset;
     storeAppend(e, store_digest->mask + sd_state.rewrite_offset, chunk_size);
-    debug(71, 3) ("storeDigestSwapOutStep: size: %d offset: %d chunk: %d bytes\n",
+    debug(71,
+	3) ("storeDigestSwapOutStep: size: %d offset: %d chunk: %d bytes\n",
 	store_digest->mask_size, sd_state.rewrite_offset, chunk_size);
     sd_state.rewrite_offset += chunk_size;
     /* are we done ? */
@@ -455,7 +476,8 @@
     const int lo_cap = 1 + store_swap_size / Config.Store.avgObjectSize;
     const int e_count = memInUse(MEM_STOREENTRY);
     int cap = e_count ? e_count : hi_cap;
-    debug(71, 2) ("storeDigestCalcCap: have: %d, want %d entries; limits: [%d, %d]\n",
+    debug(71,
+	2) ("storeDigestCalcCap: have: %d, want %d entries; limits: [%d, %d]\n",
 	e_count, cap, lo_cap, hi_cap);
     if (cap < lo_cap)
 	cap = lo_cap;
